package com.lovecoding.day13.inner02;

public class Out {


    public void method01(){

        final int  a = 10; //默认加上

        class Inner01{
            private String name;

            public void  show(){
                System.out.println(a);
            }
        }

        Inner01 inner01 = new Inner01();
        inner01.show();
    }

    public A method02(){
        class Inner02 implements A{
            private static String name;

            public void  show(){

            }
            @Override
            public void a() {

            }
        }
        Inner02 inner02 = new Inner02();
        return inner02;
    }

}

interface A{
    public void a();
}